aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ports-mgmt/portaudit/pkg-req27
-rw-r--r--security/portaudit/pkg-req27
2 files changed, 54 insertions, 0 deletions
diff --git a/ports-mgmt/portaudit/pkg-req b/ports-mgmt/portaudit/pkg-req
new file mode 100644
index 000000000000..c566a36bb3b6
--- /dev/null
+++ b/ports-mgmt/portaudit/pkg-req
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+case $2 in
+INSTALL)
+ if [ -z "${PKG_INFO}" ]; then
+ if [ -x "%%LOCALBASE%%/sbin/pkg_info" ]; then
+ PKG_INFO="%%LOCALBASE%%/sbin/pkg_info"
+ else
+ PKG_INFO="/usr/sbin/pkg_info"
+ fi
+ fi
+
+ if [ ! -x "${PKG_INFO}" ]; then
+ echo "${PKG_INFO} missing, please install port sysutils/pkg_install-devel"
+ exit 1
+ fi
+
+ PKG_INSTALL_VER=`${PKG_INFO} -qP 2>/dev/null`
+ if [ -z "${PKG_INSTALL_VER}" -o "${PKG_INSTALL_VER}" -lt %%REQPKGVER%% ]; then
+ echo "${PKG_INFO} is too old, please update port sysutils/pkg_install-devel"
+ exit 1
+ fi
+ ;;
+esac
diff --git a/security/portaudit/pkg-req b/security/portaudit/pkg-req
new file mode 100644
index 000000000000..c566a36bb3b6
--- /dev/null
+++ b/security/portaudit/pkg-req
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+case $2 in
+INSTALL)
+ if [ -z "${PKG_INFO}" ]; then
+ if [ -x "%%LOCALBASE%%/sbin/pkg_info" ]; then
+ PKG_INFO="%%LOCALBASE%%/sbin/pkg_info"
+ else
+ PKG_INFO="/usr/sbin/pkg_info"
+ fi
+ fi
+
+ if [ ! -x "${PKG_INFO}" ]; then
+ echo "${PKG_INFO} missing, please install port sysutils/pkg_install-devel"
+ exit 1
+ fi
+
+ PKG_INSTALL_VER=`${PKG_INFO} -qP 2>/dev/null`
+ if [ -z "${PKG_INSTALL_VER}" -o "${PKG_INSTALL_VER}" -lt %%REQPKGVER%% ]; then
+ echo "${PKG_INFO} is too old, please update port sysutils/pkg_install-devel"
+ exit 1
+ fi
+ ;;
+esac